import { Query } from '@datorama/akita';
import roleManagementStore from './role-management.store';
export class RoleManagementQuery extends Query {
  constructor(store) {
    super(store);
    this.store = store;
    this.editorProfiles$ = this.select((state) => state.editorProfiles);
    this.editorLoading$ = this.select((state) => state.editorLoading);
    this.showRemoveEditorDialog$ = this.select((state) => state.showRemoveEditorDialog);
    this.selectedEditor$ = this.select((state) => state.selectedEditor);
  }
}
export default new RoleManagementQuery(roleManagementStore);
